iT邦幫忙

0

No Package perl-Apache-DBI

grissonlin 1 年前698 瀏覽

我是用centos 7, 昨天爬了很多文章
http://www.netadmin.com.tw/article_content.aspx?sn=1503100001&jump=2

但卡在這裡很久

然後安裝Perl的DBI支援套件,下達命令「yum install perl-Apache-DBI」。執行後如果出現「No Package perl-Apache-DBI」訊息,則必須改用下載RPM套件的方式來安裝。

http://ithelp.ithome.com.tw/upload/images/20160713/20018576mYuNt0SAVr.jpg
後來應該是用rpm -ivh perl-Apache-DBIxxxx.rpm,以及看了很多文章亂打一通就突然可以了
但是今天再重新做一次,卻又不知道那個是OK的
想問有人知道如何解決這問題嗎????
謝謝

逮丸逮丸 iT邦大師 1 級 ‧ 1 年前 檢舉
看清楚一下你裝的是什麼。

如果裝的是 *.src.rpm

需要再做 rpmbuild 的動作。

https://wiki.centos.org/zh-tw/HowTos/RebuildSRPM

1 個回答

0
WilliamHuang
iT邦大師 1 級 ‧ 1 年前

我以前也有遇到
就是爬到的文章是舊聯結
之後又找到新的聯結
所以就裝好了@@
應該不是什麼問題

grissonlin iT邦新手 4 級 ‧ 1 年前 檢舉

我後來找到這篇文章 就把這個套件安裝好了
謝謝

我要發表回答

立即登入回答